services:
  keydb:
    container_name: keydb
    image: eqalpha/keydb
    restart: always
    networks:
      - fixbluesky
  fixbluesky:
    container_name: fixbluesky
    build: 
      context: .
      dockerfile: ./Dockerfile
    restart: always
    ports:
      - 8787:8787
    environment:
      - REDIS_HOSTNAME=${REDIS_HOSTNAME:-keydb}
      - BSKY_SERVICE_URL=${BSKY_SERVICE_URL}
      - BSKY_AUTH_USERNAME=${BSKY_AUTH_USERNAME}
      - BSKY_AUTH_PASSWORD=${BSKY_AUTH_PASSWORD}
      - FIXBLUESKY_APP_DOMAIN=${FIXBLUESKY_APP_DOMAIN}
    networks:
      - fixbluesky
    depends_on:
      - keydb
networks:
  fixbluesky:
    name: fixbluesky
